Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs	(revision 4710)
@@ -58,3 +58,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.0.4598")]
+[assembly: AssemblyFileVersion("3.3.0.4629")]
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln	(revision 4710)
@@ -82,9 +82,10 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Slave.ExecutionEngine-3.3", "HeuristicLab.Hive.Slave.ExecutionEngine\3.3\HeuristicLab.Hive.Slave.ExecutionEngine-3.3.csproj", "{1605256A-1CB3-44AB-AAFF-577093EE5789}"
 EndProject
-Project("{E24C65DC-7377-472B-9ABA-BC803B73C61A}") = "HiveWeb", "..\..\..\..\..\Web\HiveWeb\", "{F8E2A0BB-5B04-49EE-88CE-F0DF12474221}"
+Project("{E24C65DC-7377-472B-9ABA-BC803B73C61A}") = "HiveWeb", "HiveWeb\", "{590AD383-846B-48FF-8D06-B0AA1B328102}"
 	ProjectSection(WebsiteProperties) = preProject
 		TargetFrameworkMoniker = ".NETFramework,Version%3Dv4.0"
+		ProjectReferences = "{134F93D7-E7C8-4ECD-9923-7F63259A60D8}|HeuristicLab.Hive.Contracts-3.3.dll;{9076697B-C151-46CD-95BC-1D059492B478}|HeuristicLab.DataAccess-3.3.dll;{21187322-52DD-4243-80A4-A85F0263E63B}|HeuristicLab.Hive.JobBase-3.3.dll;{898B31CF-81DC-453B-AEB3-BDF83197A7EE}|HeuristicLab.Hive.Server.Core-3.3.dll;{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}|HeuristicLab.Hive.Server.DataAccess-3.3.dll;{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}|HeuristicLab.Hive.Server.LINQDataAccess-3.3.dll;{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}|HeuristicLab.Hive.Tracing-3.3.dll;"
 		Debug.AspNetCompiler.VirtualPath = "/HiveWeb"
-		Debug.AspNetCompiler.PhysicalPath = "..\..\..\..\..\Web\HiveWeb\"
+		Debug.AspNetCompiler.PhysicalPath = "HiveWeb\"
 		Debug.AspNetCompiler.TargetPath = "PrecompiledWeb\HiveWeb\"
 		Debug.AspNetCompiler.Updateable = "true"
@@ -93,5 +94,5 @@
 		Debug.AspNetCompiler.Debug = "True"
 		Release.AspNetCompiler.VirtualPath = "/HiveWeb"
-		Release.AspNetCompiler.PhysicalPath = "..\..\..\..\..\Web\HiveWeb\"
+		Release.AspNetCompiler.PhysicalPath = "HiveWeb\"
 		Release.AspNetCompiler.TargetPath = "PrecompiledWeb\HiveWeb\"
 		Release.AspNetCompiler.Updateable = "true"
@@ -99,5 +100,5 @@
 		Release.AspNetCompiler.FixedNames = "false"
 		Release.AspNetCompiler.Debug = "False"
-		VWDPort = "2681"
+		VWDPort = "3220"
 	EndProjectSection
 EndProject
@@ -392,16 +393,16 @@
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|x86.ActiveCfg = Release|x86
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|x86.Build.0 = Release|x86
-		{F8E2A0BB-5B04-49EE-88CE-F0DF12474221}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{F8E2A0BB-5B04-49EE-88CE-F0DF12474221}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{F8E2A0BB-5B04-49EE-88CE-F0DF12474221}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
-		{F8E2A0BB-5B04-49EE-88CE-F0DF12474221}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
-		{F8E2A0BB-5B04-49EE-88CE-F0DF12474221}.Debug|x64.ActiveCfg = Debug|Any CPU
-		{F8E2A0BB-5B04-49EE-88CE-F0DF12474221}.Debug|x86.ActiveCfg = Debug|Any CPU
-		{F8E2A0BB-5B04-49EE-88CE-F0DF12474221}.Release|Any CPU.ActiveCfg = Debug|Any CPU
-		{F8E2A0BB-5B04-49EE-88CE-F0DF12474221}.Release|Any CPU.Build.0 = Debug|Any CPU
-		{F8E2A0BB-5B04-49EE-88CE-F0DF12474221}.Release|Mixed Platforms.ActiveCfg = Debug|Any CPU
-		{F8E2A0BB-5B04-49EE-88CE-F0DF12474221}.Release|Mixed Platforms.Build.0 = Debug|Any CPU
-		{F8E2A0BB-5B04-49EE-88CE-F0DF12474221}.Release|x64.ActiveCfg = Debug|Any CPU
-		{F8E2A0BB-5B04-49EE-88CE-F0DF12474221}.Release|x86.ActiveCfg = Debug|Any CPU
+		{590AD383-846B-48FF-8D06-B0AA1B328102}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{590AD383-846B-48FF-8D06-B0AA1B328102}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{590AD383-846B-48FF-8D06-B0AA1B328102}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
+		{590AD383-846B-48FF-8D06-B0AA1B328102}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
+		{590AD383-846B-48FF-8D06-B0AA1B328102}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{590AD383-846B-48FF-8D06-B0AA1B328102}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{590AD383-846B-48FF-8D06-B0AA1B328102}.Release|Any CPU.ActiveCfg = Debug|Any CPU
+		{590AD383-846B-48FF-8D06-B0AA1B328102}.Release|Any CPU.Build.0 = Debug|Any CPU
+		{590AD383-846B-48FF-8D06-B0AA1B328102}.Release|Mixed Platforms.ActiveCfg = Debug|Any CPU
+		{590AD383-846B-48FF-8D06-B0AA1B328102}.Release|Mixed Platforms.Build.0 = Debug|Any CPU
+		{590AD383-846B-48FF-8D06-B0AA1B328102}.Release|x64.ActiveCfg = Debug|Any CPU
+		{590AD383-846B-48FF-8D06-B0AA1B328102}.Release|x86.ActiveCfg = Debug|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HeuristicLab.Hive.Contracts-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HeuristicLab.Hive.Contracts-3.3.csproj	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HeuristicLab.Hive.Contracts-3.3.csproj	(revision 4710)
@@ -19,4 +19,5 @@
     <OldToolsVersion>3.5</OldToolsVersion>
     <UpgradeBackupLocation />
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -90,7 +91,4 @@
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
-    </Reference>
-    <Reference Include="HeuristicLab.Tracing-3.3">
-      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Tracing-3.3.dll</HintPath>
     </Reference>
     <Reference Include="System" />
@@ -180,4 +178,8 @@
       <Name>HeuristicLab.Hive.JobBase-3.3</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Hive.Tracing\3.3\HeuristicLab.Hive.Tracing-3.3.csproj">
+      <Project>{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}</Project>
+      <Name>HeuristicLab.Hive.Tracing-3.3</Name>
+    </ProjectReference>
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HeuristicLabHiveContractsPlugin.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HeuristicLabHiveContractsPlugin.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HeuristicLabHiveContractsPlugin.cs	(revision 4710)
@@ -28,6 +28,6 @@
   [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Tracing", "3.3")]
   [PluginDependency("HeuristicLab.Persistence", "3.3")]
-  [PluginDependency("HeuristicLab.Tracing", "3.3")]
   public class HeuristicLabHiveContractsPlugin : PluginBase {
   }
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/WcfServicePool.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/WcfServicePool.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/WcfServicePool.cs	(revision 4710)
@@ -23,5 +23,5 @@
 using System.ServiceModel;
 using HeuristicLab.Common;
-using HeuristicLab.Tracing;
+using HeuristicLab.Hive.Tracing;
 
 namespace HeuristicLab.Hive.Contracts {
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/WcfSettings.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/WcfSettings.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/WcfSettings.cs	(revision 4710)
@@ -26,5 +26,5 @@
 using System.ServiceModel.Channels;
 using System.ServiceModel.Description;
-using HeuristicLab.Tracing;
+using HeuristicLab.Hive.Tracing;
 
 namespace HeuristicLab.Hive.Contracts {
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.Designer.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.Designer.cs	(revision 4710)
@@ -405,6 +405,6 @@
     private System.Windows.Forms.Button disconnectButton;
     private System.Windows.Forms.Button reconnectButton;
-    protected System.Windows.Forms.Button openExperimentButton;
-    protected System.Windows.Forms.Button newExperimentButton;
+    private System.Windows.Forms.Button openExperimentButton;
+    private System.Windows.Forms.Button newExperimentButton;
     private System.Windows.Forms.TabPage jobsTabPage;
     private System.Windows.Forms.Button downloadExperimentButton;
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/Properties/Resources.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/Properties/Resources.Designer.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/Properties/Resources.Designer.cs	(revision 4710)
@@ -10,7 +10,8 @@
 
 namespace HeuristicLab.Hive.Experiment.Views.Properties {
-
-
-  /// <summary>
+    using System;
+    
+    
+    /// <summary>
     ///   A strongly-typed resource class, for looking up localized strings, etc.
     /// </summary>
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HeuristicLab.Hive.Experiment-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HeuristicLab.Hive.Experiment-3.3.csproj	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HeuristicLab.Hive.Experiment-3.3.csproj	(revision 4710)
@@ -104,7 +104,4 @@
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.Tracing-3.3">
-      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Tracing-3.3.dll</HintPath>
-    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core" />
@@ -168,4 +165,8 @@
       <Name>HeuristicLab.Hive.JobBase-3.3</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Hive.Tracing\3.3\HeuristicLab.Hive.Tracing-3.3.csproj">
+      <Project>{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}</Project>
+      <Name>HeuristicLab.Hive.Tracing-3.3</Name>
+    </ProjectReference>
   </ItemGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HeuristicLabHiveExperimentPlugin.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HeuristicLabHiveExperimentPlugin.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HeuristicLabHiveExperimentPlugin.cs	(revision 4710)
@@ -36,7 +36,7 @@
   [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
   [PluginDependency("HeuristicLab.Hive.JobBase", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Tracing", "3.3")]
   [PluginDependency("HeuristicLab.Optimization", "3.3")]
   [PluginDependency("HeuristicLab.Persistence", "3.3")]
-  [PluginDependency("HeuristicLab.Tracing", "3.3")]
   public class HeuristicLabHiveExperimentPlugin : PluginBase {
 
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveExperiment.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveExperiment.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveExperiment.cs	(revision 4710)
@@ -31,5 +31,5 @@
 using HeuristicLab.Hive.Contracts.ResponseObjects;
 using HeuristicLab.Hive.Experiment.Jobs;
-using HeuristicLab.Tracing;
+using HeuristicLab.Hive.Tracing;
 
 namespace HeuristicLab.Hive.Experiment {
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/HeuristicLab.Hive.JobBase-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/HeuristicLab.Hive.JobBase-3.3.csproj	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.JobBase/3.3/HeuristicLab.Hive.JobBase-3.3.csproj	(revision 4710)
@@ -34,4 +34,5 @@
     <UseApplicationTrust>false</UseApplicationTrust>
     <BootstrapperEnabled>true</BootstrapperEnabled>
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HeuristicLab.Hive.Server.Console-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HeuristicLab.Hive.Server.Console-3.3.csproj	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HeuristicLab.Hive.Server.Console-3.3.csproj	(revision 4710)
@@ -21,4 +21,5 @@
     <OldToolsVersion>3.5</OldToolsVersion>
     <UpgradeBackupLocation />
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -89,7 +90,4 @@
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
-    </Reference>
-    <Reference Include="HeuristicLab.Tracing-3.3">
-      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Tracing-3.3.dll</HintPath>
     </Reference>
     <Reference Include="System" />
@@ -263,4 +261,8 @@
       <Name>HeuristicLab.Hive.JobBase-3.3</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Hive.Tracing\3.3\HeuristicLab.Hive.Tracing-3.3.csproj">
+      <Project>{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}</Project>
+      <Name>HeuristicLab.Hive.Tracing-3.3</Name>
+    </ProjectReference>
   </ItemGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HeuristicLabHiveClientConsolePlugin.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HeuristicLabHiveClientConsolePlugin.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HeuristicLabHiveClientConsolePlugin.cs	(revision 4710)
@@ -31,6 +31,6 @@
   [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
   [PluginDependency("HeuristicLab.Hive.JobBase", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Tracing", "3.3")]
   [PluginDependency("HeuristicLab.Persistence", "3.3")]
-  [PluginDependency("HeuristicLab.Tracing", "3.3")]
   public class HeuristicLabHiveSlaveConsolePlugin : PluginBase {
   }
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Properties/Resources.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Properties/Resources.Designer.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Properties/Resources.Designer.cs	(revision 4710)
@@ -10,7 +10,8 @@
 
 namespace HeuristicLab.Hive.Server.ServerConsole.Properties {
-
-
-  /// <summary>
+    using System;
+    
+    
+    /// <summary>
     ///   A strongly-typed resource class, for looking up localized strings, etc.
     /// </summary>
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLab.Hive.Server.Core-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLab.Hive.Server.Core-3.3.csproj	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLab.Hive.Server.Core-3.3.csproj	(revision 4710)
@@ -20,4 +20,5 @@
     <OldToolsVersion>3.5</OldToolsVersion>
     <UpgradeBackupLocation />
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -89,7 +90,4 @@
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.Tracing-3.3">
-      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Tracing-3.3.dll</HintPath>
-    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -106,4 +104,5 @@
     <Reference Include="System.Transactions" />
     <Reference Include="System.Web" />
+    <Reference Include="System.Web.ApplicationServices" />
     <Reference Include="System.Windows.Forms" />
     <Reference Include="System.Xml.Linq">
@@ -164,4 +163,8 @@
       <Project>{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}</Project>
       <Name>HeuristicLab.Hive.Server.LINQDataAccess-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Hive.Tracing\3.3\HeuristicLab.Hive.Tracing-3.3.csproj">
+      <Project>{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}</Project>
+      <Name>HeuristicLab.Hive.Tracing-3.3</Name>
     </ProjectReference>
   </ItemGroup>
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLabHiveServerCorePlugin.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLabHiveServerCorePlugin.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLabHiveServerCorePlugin.cs	(revision 4710)
@@ -31,5 +31,5 @@
   [PluginDependency("HeuristicLab.Hive.Server.DataAccess", "3.3")]
   [PluginDependency("HeuristicLab.Hive.Server.LINQDataAccess", "3.3")]
-  [PluginDependency("HeuristicLab.Tracing", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Tracing", "3.3")]
   public class HeuristicLabHiveServerCorePlugin : PluginBase {
   }
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/JobManager.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/JobManager.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/JobManager.cs	(revision 4710)
@@ -32,5 +32,5 @@
 using HeuristicLab.Hive.Server.Core.InternalInterfaces;
 using HeuristicLab.Hive.Server.DataAccess;
-using HeuristicLab.Tracing;
+using HeuristicLab.Hive.Tracing;
 
 namespace HeuristicLab.Hive.Server.Core {
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/LifecycleManager.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/LifecycleManager.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/LifecycleManager.cs	(revision 4710)
@@ -23,5 +23,5 @@
 using System.Threading;
 using HeuristicLab.Hive.Contracts.Interfaces;
-using HeuristicLab.Tracing;
+using HeuristicLab.Hive.Tracing;
 
 namespace HeuristicLab.Hive.Server.Core {
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/ServiceLocator.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/ServiceLocator.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/ServiceLocator.cs	(revision 4710)
@@ -89,5 +89,6 @@
     public static ILifecycleManager GetLifecycleManager() {
       if (lifecycleManager == null) {
-        lifecycleManager = ApplicationManager.Manager.GetInstances<ILifecycleManager>().First();
+        //lifecycleManager = ApplicationManager.Manager.GetInstances<ILifecycleManager>().First();
+        lifecycleManager = new LifecycleManager();
       }
       return lifecycleManager;
@@ -101,5 +102,6 @@
     public static IScheduler GetScheduler() {
       if (scheduler == null) {
-        scheduler = ApplicationManager.Manager.GetInstances<IScheduler>().First();
+        //scheduler = ApplicationManager.Manager.GetInstances<IScheduler>().First();
+        scheduler = new DefaultScheduler();
       }
 
@@ -113,6 +115,8 @@
     [MethodImpl(MethodImplOptions.Synchronized)]
     public static IAuthorizationManager GetAuthorizationManager() {
-      if (authorizationManager == null)
-        authorizationManager = ApplicationManager.Manager.GetInstances<IAuthorizationManager>().First();
+      if (authorizationManager == null) {
+        //authorizationManager = ApplicationManager.Manager.GetInstances<IAuthorizationManager>().First();
+        authorizationManager = new Authorization.AuthorizationManager();
+      }
       return authorizationManager;
     }
@@ -124,6 +128,8 @@
     [MethodImpl(MethodImplOptions.Synchronized)]
     public static IContextFactory GetContextFactory() {
-      if (contextFactory == null)
-        contextFactory = ApplicationManager.Manager.GetInstances<IContextFactory>().First();
+      if (contextFactory == null) {
+        //contextFactory = ApplicationManager.Manager.GetInstances<IContextFactory>().First();
+        contextFactory = new HeuristicLab.Hive.Server.LINQDataAccess.ContextFactory();
+      }
       return contextFactory;
     }
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/SlaveCommunicator.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/SlaveCommunicator.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/SlaveCommunicator.cs	(revision 4710)
@@ -33,5 +33,6 @@
 using HeuristicLab.Hive.Server.Core.InternalInterfaces;
 using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Tracing;
+using System.Diagnostics;
+using HeuristicLab.Hive.Tracing;
 
 namespace HeuristicLab.Hive.Server.Core {
@@ -90,5 +91,4 @@
         Logger.Debug("Server Heartbeat ticked");
         List<Guid> slaveIds = DaoLocator.SlaveDao.FindAll().Select(s => s.Id).ToList();
-
         foreach (Guid slaveId in slaveIds) {
           using (TransactionScope scope = new TransactionScope(TransactionScopeOption.Required, new TransactionOptions { IsolationLevel = ApplicationConstants.ISOLATION_LEVEL_SCOPE })) {
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.DataAccess/3.3/HeuristicLab.Hive.Server.DataAccess-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.DataAccess/3.3/HeuristicLab.Hive.Server.DataAccess-3.3.csproj	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.DataAccess/3.3/HeuristicLab.Hive.Server.DataAccess-3.3.csproj	(revision 4710)
@@ -21,4 +21,5 @@
     <OldToolsVersion>3.5</OldToolsVersion>
     <UpgradeBackupLocation />
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/BaseDao.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/BaseDao.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/BaseDao.cs	(revision 4710)
@@ -21,5 +21,5 @@
 
 using System.Data.Linq;
-using HeuristicLab.Tracing;
+using HeuristicLab.Hive.Tracing;
 
 namespace HeuristicLab.Hive.Server.LINQDataAccess {
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/ContextFactory.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/ContextFactory.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/ContextFactory.cs	(revision 4710)
@@ -28,5 +28,5 @@
 using HeuristicLab.Hive.Server.DataAccess;
 using HeuristicLab.Hive.Server.LINQDataAccess.Properties;
-using HeuristicLab.Tracing;
+using HeuristicLab.Hive.Tracing;
 
 
@@ -40,5 +40,5 @@
   /// it has to be disposed in order to finish the corresponding transaction.
   /// </summary>
-  class ContextFactory : IContextFactory {
+  public class ContextFactory : IContextFactory {
     private static object locker = new object();
     private static IDictionary<int, HiveDataContext> contexts = new Dictionary<int, HiveDataContext>();
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HeuristicLab.Hive.Server.LINQDataAccess-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HeuristicLab.Hive.Server.LINQDataAccess-3.3.csproj	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HeuristicLab.Hive.Server.LINQDataAccess-3.3.csproj	(revision 4710)
@@ -19,4 +19,5 @@
     <OldToolsVersion>3.5</OldToolsVersion>
     <UpgradeBackupLocation />
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -83,7 +84,4 @@
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.Tracing-3.3">
-      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Tracing-3.3.dll</HintPath>
-    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -144,4 +142,8 @@
       <Name>HeuristicLab.Hive.Server.DataAccess-3.3</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Hive.Tracing\3.3\HeuristicLab.Hive.Tracing-3.3.csproj">
+      <Project>{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}</Project>
+      <Name>HeuristicLab.Hive.Tracing-3.3</Name>
+    </ProjectReference>
   </ItemGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HeuristicLabHiveServerLINQDataAccessPlugin.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HeuristicLabHiveServerLINQDataAccessPlugin.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HeuristicLabHiveServerLINQDataAccessPlugin.cs	(revision 4710)
@@ -29,5 +29,5 @@
   [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
   [PluginDependency("HeuristicLab.Hive.Server.DataAccess", "3.3")]
-  [PluginDependency("HeuristicLab.Tracing", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Tracing", "3.3")]
   public class HeuristicLabHiveServerLINQDataAccessPlugin: PluginBase {
   }
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/VarBinaryStream.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/VarBinaryStream.cs	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/VarBinaryStream.cs	(revision 4710)
@@ -7,5 +7,5 @@
 using System.Data.SqlClient;
 using System.IO;
-using HeuristicLab.Tracing;
+using HeuristicLab.Hive.Tracing;
 
 namespace HeuristicLab.Hive.Server.LINQDataAccess {
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLab.Hive.Server-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLab.Hive.Server-3.3.csproj	(revision 4709)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLab.Hive.Server-3.3.csproj	(revision 4710)
@@ -21,4 +21,5 @@
     <OldToolsVersion>3.5</OldToolsVersion>
     <UpgradeBackupLocation />
+    <TargetFrameworkProfile />
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -84,7 +85,4 @@
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.Tracing-3.3">
-      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Tracing-3.3.dll</HintPath>
-    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -140,4 +138,8 @@
       <Name>HeuristicLab.Hive.Server.Core-3.3</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Hive.Tracing\3.3\HeuristicLab.Hive.Tracing-3.3.csproj">
+      <Project>{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}</Project>
+      <Name>HeuristicLab.Hive.Tracing-3.3</Name>
+    </ProjectReference>
   </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
